Bug 1702072

Summary: unable to run fix_auth on database with "stack too deep"
Product: Red Hat CloudForms Management Engine Reporter: Satoe Imaishi <simaishi>
Component: ApplianceAssignee: Keenan Brock <kbrock>
Status: CLOSED ERRATA QA Contact: Jaroslav Henner <jhenner>
Severity: high Docs Contact: Red Hat CloudForms Documentation <cloudforms-docs>
Priority: high    
Version: 5.9.7CC: abellott, dmetzger, fdewaley, mshriver, obarenbo
Target Milestone: GAKeywords: ZStream
Target Release: 5.10.4   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: 5.10.4.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1696237 Environment:
Last Closed: 2019-05-21 05:46:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core Target Upstream Version:
Bug Depends On: 1696237    
Bug Blocks:    

Comment 2 Keenan Brock 2019-04-23 16:31:34 UTC
Satoe rocks - already backported it

Comment 3 CFME Bot 2019-04-24 19:47:05 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/58bf5843bf92e394639fe05d8b75aaa2948d27a8
commit 58bf5843bf92e394639fe05d8b75aaa2948d27a8
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Fri Apr  5 11:24:48 2019 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Apr  5 11:24:48 2019 -0400

    Merge pull request #18631 from kbrock/recursive_passwords

    fix_auth now handles recursive settings

    (cherry picked from commit 365c1a02de560bf7ce9e173c61986de08e19baee)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1702072

 lib/vmdb/settings_walker.rb | 3 +-
 spec/lib/vmdb/settings_spec.rb | 77 +-
 2 files changed, 53 insertions(+), 27 deletions(-)

Comment 5 errata-xmlrpc 2019-05-21 05:46:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247

Comment 6 Jaroslav Henner 2019-11-01 16:57:12 UTC
Keeping the qe_test_coverage- as I was unable to reproduce